
Pre-Development - Feature #18687

Feature # 18611 (Resolved): Alert Messaging > Message Template

Alert Messaging > Message Template > Template Type

30 October 2023 11:15 AM - David Wong

Status: Resolved Start date: 30 October 2023

Priority: Normal Due date: 01 November 2023

Assignee: Farid Nazmi % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

GIT Repo: http://172.16.25.66/gitlab/mleb-solution-domain/smesd100/mleb-am.git

Microservice: bd_am

Package name = com.silverlake.ifb.am.templateType

Bean prefix = TemplateType

DAO prefix = TemplateType

Reference UI:

Login into: https://dev.silverlakemobility.com/demo/cc_iam/loginModule/login.htm (sysuser/abc123)

And then go to Sub System > Alert Messaging > Message Template

From MLEB Demo project

- copy Entity Bean

TemplateType.java

TemplateTypeParameter.java

Notes:

TemplateTypeDao.java associates with TemplateTypeEntity

Skip search feature for this module

add templateTypeParameter select item

History

#1 - 30 October 2023 11:45 AM - David Wong

- Subject changed from Alert Messaging > Message Template to Alert Messaging > Message Template > Template Type

#2 - 31 October 2023 02:26 PM - Farid Nazmi

- % Done changed from 0 to 30

Setup Dto for Template Type and also copy entity and rename to the naming convention as TemplateTypeEntity and TemplateTypeParamaterEntity.

Will proceed with the Repository part

#3 - 01 November 2023 10:55 AM - Farid Nazmi

- % Done changed from 30 to 50

Setup Repository: TemplateTypeDao, TemplateTypeDaoCustom, TemplateTypeDaoImpl ( include the retrieve list for select template type ),

TemplateTypeSqlConstant, currently setup services for templatetype in MessageTemplateService which will generate the response message

containing templatetypeparam when select specific template type.

#4 - 02 November 2023 06:06 PM - Farid Nazmi
- % Done changed from 50 to 70

already done setup the services and webservices for this new api in the msgTemplateWs

create logic flow and setup select the template type and display the variables based on the template type

> prepDataForm = get the list of template type

> template type and template type parameter is joined via templateTypeId

> template type req bean post method input json data TemplateTypeParametersBean which will be set by  template type id will return result

array list of templateTypeParamaters via dao implementation in the templateType

> currently trying to get the result for the list of templatetypeparameter consisting id, field parameter and status.

> result of the arraylist will be set as select item for templateTypeParameterSelectItem

#5 - 03 November 2023 06:02 PM - Farid Nazmi

- % Done changed from 70 to 90

The logic already applied:

-when user select the template type the selectTemplateType api will fire.

-templateTypeId will send to the api and the api will return templateTypeParameters in array list form via dao

implementation.

-the select result from the selectTemplateType method in the dao impl will be set in the global select result

-retTemplateTypeParameter method will get the global select result and will be put as map for generating select item for

templateTypeParameter

*currently im proceed with testing

#6 - 08 November 2023 09:16 AM - Farid Nazmi

- % Done changed from 90 to 100

push to git

#7 - 08 November 2023 09:18 AM - Farid Nazmi

- Status changed from New to Resolved

- Assignee changed from Farid Nazmi to David Wong

#8 - 01 December 2023 04:00 PM - Low Dylan

- Status changed from Resolved to Feedback

- Assignee changed from David Wong to chok yee fan

Please integrate.

#9 - 01 December 2023 04:25 PM - chok yee fan

- Assignee changed from chok yee fan to Farid Nazmi

#10 - 01 December 2023 04:28 PM - chok yee fan
- Assignee changed from Farid Nazmi to Low Dylan

could ask back to Farid better. cause look duplicate redmine https://dev.silverlakemobility.com/redmine/issues/18611

#11 - 01 December 2023 04:30 PM - Low Dylan

- Status changed from Feedback to Resolved

- Assignee changed from Low Dylan to David Wong

#12 - 05 December 2023 11:09 AM - Farid Nazmi

- Assignee changed from David Wong to Farid Nazmi

- % Done changed from 100 to 90

#13 - 28 December 2023 05:03 PM - Farid Nazmi

- % Done changed from 90 to 100

fixing some issue on search action and enhancement according to the new alteration column system code into the msgtemplate table to join with

mleb system.
